﻿@model eCommerce.UI.ViewModels.ShoppingCartViewModel

<div class="checkout__step checkout__step--column hidden" data-credit-card="true">

    <div class="checkout-step__content">
        <h3 class="checkout-step__title">Datos de tarjeta</h3>
        <div class="border-bottom"></div>

        <div class="checkout-step__form">
            <div id="formDecidir">
                <div class="bank-information">

                    <div class="bank-list step-form__input-group">
                        <label class="step-form__group-name">Elegí tu tarjeta:</label>
                        <select class="bank-select step-form__group-input">
                            <option value=""></option>
                            @foreach (var bank in Model.BankList)
                            {
                                <option value="@bank.BankId">@bank.Name</option>
                            }
                        </select>
                    </div>

                    <div class="bankinterest-list step-form__input-group">
                        <label class="step-form__group-name">Elegí las cuotas:</label>
                        <select name="SelectedBankInteresId" class="bankinterest-select step-form__group-input">
                        </select>
                    </div>

                </div>
                <div class="step-form__input-group">
                    <label for="card_holder_name" class="step-form__group-name">Nombre del titular:</label>
                    <input style="display:none" type="password" name="fakepasswordremembered" />
                    <input class="step-form__group-input js-holder-name" type="text" data-decidir="card_holder_name" autocomplete="user-password" placeholder="como aparece en la tarjeta" />
                </div>
                <div class="step-form__input-group">
                    <label for="card_number" class="step-form__group-name">Número de tarjeta:</label>
                    <input class="step-form__group-input js-credit-card-number" type="tel" data-decidir="card_number" placeholder="sin espacios, ni guiones" pattern="\d*" length="19" />
                </div>
                <div class="step-form__group">
                    <div class="input-group input-group-smfull">
                        <label for="card_expiration_month" class="step-form__group-name">Mes de vencimiento:</label>
                        <input class="step-form__group-input js-expiration-month" type="text" data-decidir="card_expiration_month" placeholder="en formato MM" autocomplete="on"/>
                    </div>
                    <div class="input-group input-group-smfull">
                        <label for="card_expiration_year" class="step-form__group-name">Año de vencimiento:</label>
                        <input class="step-form__group-input js-expiration-year" type="text" data-decidir="card_expiration_year" placeholder="en formato AA" autocomplete="on"/>
                    </div>
                    <div class="input-group input-group-smfull">
                        <label for="security_code" class="step-form__group-name">Codigo de seguridad:</label>
                        <input style="display:none" type="text" name="fakepasswordremembered2" />
                        <input class="step-form__group-input js-security-code" type="text" autocomplete="user-password" data-decidir="security_code" placeholder="CVV" />
                    </div>
                    
                </div>
                <div class="step-form__input-group">
                    <label for="card_holder_doc_type" class="step-form__group-name">Tipo de documento:</label>
                    <select class="step-form__group-input" data-decidir="card_holder_doc_type">
                        <option value="dni">DNI</option>
                    </select>
                </div>
                <div class="step-form__input-group">
                    <label for="card_holder_doc_type" class="step-form__group-name">Numero de documento:</label>
                    <input class="step-form__group-input" type="text" data-decidir="card_holder_doc_number" autocomplete="off" />
                </div>
            </div>
        </div>
    </div>
</div>
